From: Jim Dai <[email-masked]>
Date: Fri, 10 Jan 1992 09:48:33 EST

Thanks those for telling me where to get chtex. I have compied it, and
works great. (J. B. Wang, you are doing great work.)

In the mean time, I found cxterm had a new version.
This new version cxterm-11.4.2 claims to support
a variety of chinese input methods:

However, I have trouble in getting these switches among different
input methods to work.
In particular, I can NOT exactly follow the following part of
man page of cxterm. Can anyone elaborate on this? I am using
a SPARCstation I. I have no Meta key. What is "~CTR" as used
in man page? ( I put these resources definition in my .Xdefaults
and defined environment HZINPUTDIR.). Cxterm is a great program.
I have been using for over a year. But I suggest the cxterm man
page be improved.

 Jim Dai

ACTIONS
     In addition to all the xterm vt100  translations  resources,
     the following are also accepted by cxterm:

     switch-HZ-mode(mode)
             This action dynamically switch  the  input  mode  to
             mode. If mode is not a builtin input method and does
             not reside in memory, it  is  loaded  from  external
             file first. The name of file must be "mode.cit", and
             it must be under current directory, home  directory,
             or  the  directory specified by environment HZINPUT-
             DIR.

     The defaults bindings in cxterm window are:

          Shift <KeyPress> Prior: scroll-back(1,halfpage) \n\
           Shift <KeyPress> Next: scroll-forw(1,halfpage) \n\
         Shift <KeyPress> Select: select-cursor-start() \
                                  select-cursor-end(PRIMARY, CUT_BUFFER0) \n\
         Shift <KeyPress> Insert: insert-selection(PRIMARY, CUT_BUFFER0) \n\
                   <KeyPress> F1: switch-HZ-mode(ASCII) \n\
                   <KeyPress> F2: switch-HZ-mode(IC) \n\
                 ~Meta<KeyPress>: insert-seven-bit() \n\
                  Meta<KeyPress>: insert-eight-bit() \n\
            Ctrl ~Meta<Btn1Down>: popup-menu(mainMenu) \n\
                ~Meta <Btn1Down>: select-start() \n\
              ~Meta <Btn1Motion>: select-extend() \n\
           Ctrl ~Meta <Btn2Down>: popup-menu(vtMenu) \n\
          ~Ctrl ~Meta <Btn2Down>: ignore() \n\
            ~Ctrl ~Meta <Btn2Up>: insert-selection(PRIMARY, CUT_BUFFER0) \n\
           Ctrl ~Meta <Btn3Down>: popup-menu(fontMenu) \n\
          ~Ctrl ~Meta <Btn3Down>: start-extend() \n\
              ~Meta <Btn3Motion>: select-extend() \n\
             ~Ctrl ~Meta <BtnUp>: select-end(PRIMARY, CUT_BUFFER0) \n\
                       <BtnDown>: bell(0)

     Below is a sample of how to use switch-HZ-mode()  action  to
     add more input methods, or redefine input mode switch keys:

         cxterm*VT100.Translations: #override \

                    <KeyPress> F1:     switch-HZ-mode(ASCII) \n\
                    <KeyPress> F2:     switch-HZ-mode(IC) \n\
                    <KeyPress> F3:     switch-HZ-mode(TONEPY) \n\
                    <KeyPress> F4:     switch-HZ-mode(SW) \n\
                    <KeyPress> F5:     switch-HZ-mode(PY) \n\
                    <KeyPress> F6:     switch-HZ-mode(ASCII) \n\
                    <KeyPress> F7:     switch-HZ-mode(QJ) \n\
                    <KeyPress> F8:     switch-HZ-mode(QW) \n\
          ~Meta <KeyPress> Escape:     insert() switch-HZ-mode(ASCII)

     In this example, pressing <F2> will change the input  method
     into  IC;  <F5>  will  switch to PY method (external, PY.cit
     should be in good place), and so on. The last line may be  a
     good  setting for those who use celvis.  Pressing <ESC> will
     pass ESC to celvis to end  the  insertion  mode,  and  cause
     cxterm  to switch back to ASCII (so that you can continue to
     enter celvis command in ASCII mode).